Subject: Re: linux-next: manual merge of the akpm-current tree with the tip tree

From: Ingo Molnar <[email-masked]>
Date: Fri, 29 Apr 2016 08:26:25 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   include/linux/efi.h
> 
> between commit:
> 
>   2c23b73c2d02 ("Ard Biesheuvel <[email-masked]>")
> 
> from the tip tree and commit:
> 
>   9f2c36a7b097 ("include/linux/efi.h: redefine type, constant, macro from generic code")
> 
> from the akpm-current tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Btw., while looking at this, I noticed that akpm-current introduced this namespace 
collision:

include/acpi/acconfig.h:#define UUID_STRING_LENGTH          36  /* Total length of a UUID string */
include/linux/uuid.h:#define    UUID_STRING_LEN         36

I suspect the include/acpi/acconfig.h define should be renamed:

	UUID_STRING_LENGTH -> ACPI_UUID_STRING_LENGTH
	UUID_BUFFER_LENGTH -> ACPI_UUID_BUFFER_LENGTH

... before the collision causes any trouble.

Thanks,

	Ingo